Name:           tomcat-native
Version:        1.2.26
Release:        %mkrel 1
Summary:        Tomcat native library

Group:          Development/Java
License:        ASL 2.0
URL:            http://tomcat.apache.org/tomcat-8.0-doc/apr.html
Source0:        http://www.apache.org/dist/tomcat/tomcat-connectors/native/%{version}/source/%{name}-%{version}-src.tar.gz

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  pkgconfig(apr-1) >= 1.4.3
BuildRequires:  pkgconfig(openssl) >= 1.0.2
# Upstream compatibility:
Provides:       tcnative = %{version}-%{release}

%description
Tomcat can use the Apache Portable Runtime to provide superior
scalability, performance, and better integration with native server
technologies.  The Apache Portable Runtime is a highly portable library
that is at the heart of Apache HTTP Server 2.x.  APR has many uses,
including access to advanced IO functionality (such as sendfile, epoll
and OpenSSL), OS level functionality (random number generation, system
status, etc), and native process handling (shared memory, NT pipes and
Unix sockets).  This package contains the Tomcat native library which
provides support for using APR in Tomcat.


%prep
%setup -q -n %{name}-%{version}-src
f=CHANGELOG.txt ; iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f


%build
cd native
%configure \
    --with-apr=%{_bindir}/apr-1-config \
    --with-java-home=%{java_home}
%make_build


%install
%make_install -C native
# Perhaps a devel package sometime?  Not for now; no headers are installed.
rm -f %{buildroot}%{_libdir}/libtcnative*.*a
rm -rf %{buildroot}%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_includedir}/*.h

%files
%license LICENSE NOTICE
%doc CHANGELOG.txt TODO.txt
# Note: unversioned *.so needed here due to how Tomcat loads the lib :(
%{_libdir}/libtcnative*.so*


%changelog
* Sat Dec 26 2020 daviddavid <daviddavid> 1.2.26-1.mga8
+ Revision: 1663883
- new version: 1.2.26

* Thu Dec 03 2020 luigiwalser <luigiwalser> 1.2.25-1.mga8
+ Revision: 1652286
- 1.2.25

* Fri May 29 2020 daviddavid <daviddavid> 1.2.24-1.mga8
+ Revision: 1588759
- new version: 1.2.24

* Sat Feb 15 2020 umeabot <umeabot> 1.2.23-2.mga8
+ Revision: 1526988
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jul 08 2019 daviddavid <daviddavid> 1.2.23-1.mga8
+ Revision: 1419482
- new version: 1.2.23

* Sun Jun 30 2019 daviddavid <daviddavid> 1.2.21-1.mga8
+ Revision: 1416361
- new version: 1.2.21

* Sun Oct 21 2018 daviddavid <daviddavid> 1.2.18-1.mga7
+ Revision: 1323245
- new version: 1.2.18

* Sun Sep 23 2018 umeabot <umeabot> 1.2.17-2.mga7
+ Revision: 1301435
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 daviddavid <daviddavid> 1.2.17-1.mga7
+ Revision: 1236771
- new version: 1.2.17

* Sat Jan 06 2018 daviddavid <daviddavid> 1.2.16-1.mga7
+ Revision: 1190712
- new version: 1.2.16, fixes CVE-2017-15698 (mga#22568)

* Tue Sep 19 2017 guillomovitch <guillomovitch> 1.2.14-1.mga7
+ Revision: 1155700
- new version 1.2.14

* Thu Aug 31 2017 guillomovitch <guillomovitch> 1.2.12-2.mga7
+ Revision: 1150328
- rebuild for latest openssl

* Sat Apr 01 2017 luigiwalser <luigiwalser> 1.2.12-1.mga6
+ Revision: 1095575
- 1.2.12

* Mon Dec 05 2016 luigiwalser <luigiwalser> 1.2.10-1.mga6
+ Revision: 1072652
- 1.2.10

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.2.8-1.mga6
+ Revision: 1045562
- 1.2.8

* Thu Mar 03 2016 umeabot <umeabot> 1.2.4-5.mga6
+ Revision: 984672
- Rebuild for openssl
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.2.4-3.mga6
+ Revision: 978208
- First rebuild of the java stack
- sync package tomcat-native with fedora
- imported package tomcat-native

* Tue Aug 11 2015 luigiwalser <luigiwalser> 0:1.1.33-1.mga6
+ Revision: 862998
- 1.1.33 (mga#16568)

* Wed Oct 15 2014 umeabot <umeabot> 0:1.1.29-4.mga5
+ Revision: 741840
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.1.29-3.mga5
+ Revision: 689917
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0:1.1.29-2.mga4
+ Revision: 541267
- Mageia 4 Mass Rebuild
+ mitya <mitya>
- New version 1.1.29

* Fri Oct 11 2013 mitya <mitya> 0:1.1.28-1.mga4
+ Revision: 495426
- New version 1.1.28

* Mon Jan 14 2013 umeabot <umeabot> 0:1.1.24-3.mga3
+ Revision: 384651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 dmorgan <dmorgan> 0:1.1.24-2.mga3
+ Revision: 327800
- Build with Java7

* Sat Jul 07 2012 mitya <mitya> 0:1.1.24-1.mga3
+ Revision: 268742
- New version 1.1.24

* Sat May 12 2012 mitya <mitya> 0:1.1.23-1.mga2
+ Revision: 235482
- Imported version 1.1.23
- Created package structure for tomcat-native.


* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 12 2016 Lorenzo Dalrio <lorenzo.dalrio@gmail.com> - 1.2.4-1
- Update to 1.2.4

* Sun Dec 27 2015 Lorenzo Dalrio <lorenzo.dalrio@gmail.com> - 1.1.34-1
- Update to 1.1.34

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 23 2015 Ville Skyttä <ville.skytta@iki.fi> - 1.1.33-1
- Update to 1.1.33

* Mon Oct 27 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.1.32-1
- Update to 1.1.32
- Mark LICENSE and NOTICE as %%license where available

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul  8 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.1.31-1
- Update to 1.1.31

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 15 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.1.30-1
- Update to 1.1.30

* Tue Oct 15 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.1.29-1
- Update to 1.1.29.

* Mon Sep 16 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.1.28-1
- Update to 1.1.28.
- Make buildable on EL5 again; min supported APR version lowered back to 1.2.1.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 13 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.1.27-1
- Update to 1.1.27.
- Clean up specfile constructs no longer needed in Fedora or EL6+.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.1.24-1
- Update to 1.1.24.

* Wed Mar  7 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.1.23-1
- Update to 1.1.23.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug  9 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.1.22-1
- Update to 1.1.22.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 17 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.1.20-1
- Update to 1.1.20 (#566131).

* Mon Jan 11 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.1.19-1
- Update to 1.1.19 (#554315), OpenSSL 1.0 patch applied upstream.

* Tue Nov 24 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.1.18-1
- Update to 1.1.18 (security; CVE-2009-3555).

* Wed Nov  4 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.1.17-1
- Update to 1.1.17 (#532931).

* Wed Aug 26 2009 Tomas Mraz <tmraz@redhat.com> - 1.1.16-5
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Tomas Mraz <tmraz@redhat.com> - 1.1.16-2
- rebuild with new openssl

* Thu Nov 20 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.1.16-1
- 1.1.16.

* Thu Sep 11 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.1.15-1
- 1.1.15.

* Sat Jul  5 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.1.14-1
- 1.1.14.

* Sat Feb 16 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.1.13-1
- 1.1.13.

* Tue Feb 12 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.1.12-2
- Apply upstream fix to silence (seemingly harmless?) configure error spewage.

* Sat Dec 22 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1.12-1
- 1.1.12.

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.1.10-3
 - Rebuild for deps

* Wed Dec  5 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1.10-2
- Rebuild.

* Thu Sep  6 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1.10-1
- First Fedora build.

* Mon Aug 20 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1.10-0.2
- License: ASL 2.0.

* Mon Apr 16 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1.10-0.1
- 1.1.10.

* Tue Apr  3 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1.9-0.1
- 1.1.9.

* Sat Jan  6 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1.8-0.1
- 1.1.8.

* Tue Dec 12 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.7-0.1
- 1.1.7.

* Mon Nov 13 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.6-0.1
- 1.1.6.

* Sat Sep 30 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.4-0.1
- 1.1.4, specfile cleanup.

* Wed Jun 14 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.3-0.1
- First build.
